using System;

namespace AutoDataCollection
{
	/// <summary>
	/// Summary description for Packet_CONSTANTS.
	/// </summary>
	public class Packet_CONSTANTS
	{
		//<Type>
		public const string DATA_PACKET = "DP";
		public const string ROUTE_REPLY_PACKET = "RRP";
		public const string ROUTE_ERROR_PACKET = "REP";
		public const string START_CHAT_PACKET = "SCP";
		public const string HANG_UP_PACKET = "HUP";
		public const string REPLY_HANG_UP_PACKET = "RHUP";
		public const string ACCEPT_START_CHAT_PACKET = "ASCP";
		public const string REJECT_START_CHAT_PACKET = "RSCP";
		public const string RECEIPT_PACKET = "RP";
		public const string ROUTE_DISCOVERY_PACKET = "RDP";
		public const string REPLY_ROUTE_DISCOVERY_PACKET = "RRDP";
		public const string BROADCAST_NT_PACKET = "BP";
		public const string ONCALLING_PACKET ="OCP";

		//In any elements, when N/A        
		public const string NOTAVAILABLE ="N/A";
		//<Payload>: N/A or conversation content

		//Elements of Packets in xml file
		public const string TYPE = "Type";
		public const string REQUESTID = "RID";
		public const string CURRENTID = "CID";
		public const string INITIATOR = "Initiator";
		public const string TARGET = "Target";
		public const string ROUTERECORD = "RouteRecord";
		public const string ROUTECACHE = "RouteCache";
		public const string PAYLOAD = "Payload";
		public const string RECEIPTID = "ReceiptID";
		public const string TIMESTAMP = "TimeStamp";

		//Broadcast packet		
		public const string CACHE = "CACHE";
		public const string ACM = "ACM";
		public const string SWS = "SWS";
		public const string NUMOFDATAPACKET = "NUMOFDP";
		public const string RP = "RP";

		//informing packet for writing result.xml
		public const string INFORM_WRITING_RESULTXML = "IWR";
		//ComType
        public const string RECEIVED = "R";
		public const string SENT = "S";

	
	}
}

